### Method

# GtkVnc CairoFramebuffer get_surface

#### Declaration [src]

    cairo_surface_t*
    vnc_cairo_framebuffer_get_surface (
      VncCairoFramebuffer* fb
    )

#### Description [src]

Get the cairo surface in which the remote desktop is being rendered.

Gets property | `GtkVnc.CairoFramebuffer:surface`

#### Return value

Type: `cairo_surface_t`

The cairo surface.

The returned data is owned by the instance.